Package uk.ac.starlink.vo

# Class AdqlFeature.Arg

java.lang.Object
uk.ac.starlink.vo.AdqlFeature.Arg

Enclosing class:
  `AdqlFeature`

public static class AdqlFeature.Arg extends Object
Represents a declared argument of a function. The name can be abused to contain some other string that represents how something in the argument list should be represented.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the name of this argument.
`AdqlFeature.Type`
`getType()`
Returns the type of this argument.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getName

public String getName()
Returns the name of this argument.

Returns:
  argument name or representation

### getType

public AdqlFeature.Type getType()
Returns the type of this argument.

### toString

public String toString()

Overrides:
  `toString` in class `Object`